## rootsh 1.4

=== Makefile ===
#! /usr/bin/make -f
VER=1.1

MKFILE=launchsh.Makefile

help:
	: enter "make compile" to compile binaries "(will appear in builddir/)"
	: enter "make install PREFIX=..." to install...
	: enter "make maemodeb" to make Maemo package "(in scratchbox)"

.PHONY:	ALWAYS

compile: builddir/launchsh

builddir:
	mkdir builddir

builddir/launchsh: builddir launchsh.c root
	cp root builddir && sh launchsh.c && mv launchsh builddir

chkprefix: ALWAYS
	@[ x"$(PREFIX)" != x ] \
		|| { sed -n 's/^#prefix: \?//p;' $(MKFILE); false; }
	@[ -d "$(PREFIX)/usr/bin" ] || mkdir -m 755 -p "$(PREFIX)/usr/bin"

#prefix:
#prefix:  Can not install: PREFIX missing.
#prefix:
#prefix:  try for example: `make install PREFIX=/usr/local'
#prefix:

install: chkprefix compile
	cp builddir/launchsh $(PREFIX)/usr/bin

# [builddir/]debian/rules launches this.
maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/usr/bin
	cp builddir/launchsh $(DESTDIR)/usr/bin/rootsh
	cp builddir/root $(DESTDIR)/usr/bin/root
	chmod 4755 $(DESTDIR)/usr/bin/rootsh # postinst does this too

Makefile:
	ln -s $(MKFILE) Makefile	

maemodeb: launchsh.Makefile builddir/debian
	cp launchsh.c builddir
	cp launchsh.Makefile builddir/Makefile
	cd builddir

builddir/debian: Makefile builddir ALWAYS
	sed -n '/^debianfiles:/,/^ *$$/ p' Makefile | tail -n +3 | sh -ve #-nv

debianfiles:
	exit 1 # this target is not to be run.
	:
	[ ! -h debian ] || rm debian
	rm -rf builddir/debian; mkdir builddir/debian
	echo 4 > builddir/debian/compat
	echo GPL > builddir/debian/copyright
	cut -d: -f3- > builddir/debian/changelog <<- EOF
	:  :rootsh (1.1) unstable; urgency=low
	:  :
	:  :  * PATH environment variable set also when shell launched
	:  : 
	:  : -- Tomi Ollila <too@iki.fi>  Sat, 15 Dec 2007 14:46:16 +0200
	:  :
	:  :rootsh (1.0) unstable; urgency=low
	:  :
	:  :  * Initial version
	:  : 
	:  : -- Tomi Ollila <too@iki.fi>  Sun, 02 Dec 2007 11:41:32 +0200
	:  :
	EOF
	cut -d: -f3- > builddir/debian/control <<- EOF
        :  :Source: rootsh
        :  :Section: user/accessories
        :  :Priority: optional
        :  :Maintainer: Tomi Ollila <too@iki.fi>
        :  :Uploaders: Tomi Ollila <too@iki.fi> 
        :  :Build-Depends: debhelper (>= 4.0.0)
        :  :Standards-Version: 3.6.1
        :  :
        :  :Package: rootsh
        :  :Architecture: any
        :  :Provides: rootsh
        :  :Description: rootsh
        :  : A tool to run given command (or shell) with root privileges.
	EOF
	cut -d: -f3- > builddir/debian/postinst <<- EOF
	:  :#!/bin/sh -e
	:  :
	:  :chmod 4755 $(DESTDIR)/usr/bin/rootsh
	:  :exit 0
	EOF
	cut -d: -f3- > builddir/debian/rules <<- 'EOF'
	:  :#!/usr/bin/make -f
	:  :
	:  :build: build-stamp
	:  :build-stamp:
	:  :	dh_testdir
	:  :	$(MAKE) compile
	:  :	touch build-stamp
	:  :
	:  :clean:
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	-rm -f configure-stamp build-stamp 
	:  :	-$(MAKE) binclean
	:  :	-test -r /usr/share/misc/config.sub && \
	:  :	  cp -f /usr/share/misc/config.sub config.sub
	:  :	-test -r /usr/share/misc/config.guess && \
	:  :	  cp -f /usr/share/misc/config.guess config.guess
	:  :	dh_clean
	:  :
	:  :install: build
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	$(MAKE) maemo-install DESTDIR=`pwd`/debian/rootsh
	:  :
	:  :binary-indep: build install
	:  :binary-arch: build install
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	dh_link -a
	:  :	dh_strip -a
	:  :	dh_compress -a
	:  :	dh_fixperms -a
	:  :	dh_installdeb -a
	:  :	dh_shlibdeps -a
	:  :	dh_gencontrol -a
	:  :	dh_md5sums -a
	:  :	dh_builddeb -a
	:  :
	:  :binary: binary-indep binary-arch
	:  :.PHONY: build clean binary-indep binary-arch binary install 
	EOF
	chmod 755 builddir/debian/rules

dist:	clean
	export VER=$(VER) ;\
	sed -n '/^dist.sh:/,/^ *$$/ p' Makefile | tail -n +3 | sh -ve #-nv

dist.sh:
	exit 1 # this target is not to be run.
	:
	pwd=`pwd`; thisdir=`basename $pwd`;
	#ver=$VER-r`head -1 SvnVersion`
	ver=$VER
	cd ..
	dl () { [ ! -h rootsh-$ver ] || rm -f rootsh-$ver; }
	trap dl 0
	ln -s rootsh rootsh-$ver
	tar --exclude .svn -zcvf rootsh-$ver.tar.gz \
		`sed "s/^/rootsh-$ver\//" rootsh/MANIFEST`
	mv rootsh-$ver.tar.gz rootsh


binclean:
	rm builddir/* || true

clean distclean:
	[ ! -h debian ] || rm debian
	rm -rf builddir build-stamp debian config.guess config.sub Makefile

## rootsh 1.3

=== debian/changelog ===
rootsh (1.3) unstable; urgency=low

  * Now enables sudo gainroot functionality.
  * Description updated.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 14 Jul 2008 07:06:57 +0100

rootsh (1.2) unstable; urgency=low

  * Description updated.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 13 Jul 2008 17:11:05 +0100

rootsh (1.1) unstable; urgency=low

  * PATH environment variable set also when shell launched (Tomi Ollila <too@iki.fi>)
  * Uploaded to extras

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 12 Jul 2008 04:50:25 -0400

rootsh (1.0) unstable; urgency=low

  * Initial version
 
 -- Tomi Ollila <too@iki.fi>  Sun, 02 Dec 2007 11:41:32 +0200

=== debian/control ===
Source: rootsh
Section: user/accessories
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Uploaders: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rootsh
Architecture: any
Replaces: becomeroot, easyroot
Provides: becomeroot, rootsh, easyroot
Conflicts: becomeroot, easyroot
Description: Enable root access.
 sudo gainroot will work like normal without having to enable rd-mode after installing this.
 Issuing "root" will give you a root enviroment.
 rootsh <command> is intended to be a quick way to run a single command.
 Rootsh by Tomi Ollila. sudo gainroot and "root" taken from Andrey Gubarev's easyroot.

## rootsh 1.4

=== debian/changelog ===
rootsh (1.4) unstable; urgency=low

  * Section changed from user/accessories to user/tools.
  * Added conflict with GodMode package.
  * Removed feature of rootsh command to spawn a shell. The user can still spawn a root shell by typing root.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 10 Oct 2008 16:14:47 +0100

=== debian/control ===
Source: rootsh
Section: user/tools
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Uploaders: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rootsh
Architecture: any
Replaces: becomeroot, easyroot
Provides: becomeroot, rootsh, easyroot, GodMode
Conflicts: becomeroot, easyroot, GodMode
Description: Enable root access.
 sudo gainroot will work like normal without having to enable rd-mode after installing this.
 Issuing "root" will give you a root enviroment with root paths sourced etc.
 rootsh <command> is intended to be a quick way to run a single command.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	-$(MAKE) binclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) maemo-install DESTDIR=`pwd`/debian/rootsh

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rootsh 1.5

=== debian/changelog ===
rootsh (1.5) unstable; urgency=low

  * Change section to user/system (thanks X-Fade!).
  * Update description. (My English is better now; growing up - what can I say?)
  * Check to see gainroot.old exists before moving back.

 -- Faheem Pervez <trippin1@gmail.com>  Fri,  4 Sep 2009 15:24:22 +0100

=== debian/control ===
Source: rootsh
Section: user/system
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Original-Maintainer: Tomi Ollila <too@iki.fi>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rootsh
Architecture: any
Replaces: becomeroot, easyroot, GodMode
Provides: becomeroot, easyroot, GodMode
Conflicts: becomeroot, easyroot, GodMode
Description: Enable root access, via the "sudo gainroot" command
 "sudo gainroot" will work without requiring you to enable R&D mode;
 and "rootsh <command>" is intended to be a quick way to run a single command.

## rootsh 1.6

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 builddir:
 	mkdir builddir
 
-builddir/launchsh: builddir launchsh.c root
-	cp root builddir && sh launchsh.c && mv launchsh builddir
+builddir/launchsh: builddir launchsh root
+	cp root builddir && cp launchsh builddir
 
 chkprefix: ALWAYS
 	@[ x"$(PREFIX)" != x ] \
@@ -38,7 +38,6 @@
 	mkdir -p $(DESTDIR)/usr/bin
 	cp builddir/launchsh $(DESTDIR)/usr/bin/rootsh
 	cp builddir/root $(DESTDIR)/usr/bin/root
-	chmod 4755 $(DESTDIR)/usr/bin/rootsh # postinst does this too
 
 Makefile:
 	ln -s $(MKFILE) Makefile	
@@ -90,7 +89,6 @@
 	cut -d: -f3- > builddir/debian/postinst <<- EOF
 	:  :#!/bin/sh -e
 	:  :
-	:  :chmod 4755 $(DESTDIR)/usr/bin/rootsh
 	:  :exit 0
 	EOF
 	cut -d: -f3- > builddir/debian/rules <<- 'EOF'
@@ -135,7 +133,6 @@
 	:  :binary: binary-indep binary-arch
 	:  :.PHONY: build clean binary-indep binary-arch binary install 
 	EOF
-	chmod 755 builddir/debian/rules
 
 dist:	clean
 	export VER=$(VER) ;\

=== debian/changelog ===
rootsh (1.6) unstable; urgency=low

  * Fix uninstall issue as reported by both X-Fade and robbie.
  * Set HISTSIZE to workaround MB#5896 (thanks lma!).
  * Get postinst script to escape the '$' in "$1".
  * Depreciate "rootsh". As mikkov pointed out, it is too much of a security risk.

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  1 Nov 2009 11:19:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Architecture: any
 Replaces: becomeroot, easyroot, GodMode
 Provides: becomeroot, easyroot, GodMode
-Conflicts: becomeroot, easyroot, GodMode
+Conflicts: rootsh (<= 1.5), becomeroot, easyroot, GodMode
 Description: Enable root access, via the "sudo gainroot" command
- "sudo gainroot" will work without requiring you to enable R&D mode;
- and "rootsh <command>" is intended to be a quick way to run a single command.
+ "sudo gainroot" will work without requiring you to enable R&D mode.

## rootsh 1.7

=== debian/changelog ===
rootsh (1.7) unstable; urgency=low

  * Make launchsh script show HildonBanner
  * Fix quoting errors in postinst
  * Use "deprecated". Thanks timeless.

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  1 Nov 2009 16:39:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) maemo-install DESTDIR=`pwd`/debian/rootsh

binary-irch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-irch
.PHONY: build clean binary-indep binary-irch binary install

## rootsh 1.8

=== Makefile ===
--- 
+++ 
@@ -157,5 +157,4 @@
 	rm builddir/* || true
 
 clean distclean:
-	[ ! -h debian ] || rm debian
-	rm -rf builddir build-stamp debian config.guess config.sub Makefile
+	rm -rf builddir build-stamp config.guess config.sub

=== debian/changelog ===
rootsh (1.8) unstable; urgency=low

  * Solve goddamn escaping errors in postinst, again!

 -- Faheem Pervez <trippin1@gmail.com>  Tue,  3 Nov 2009 15:11:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Standards-Version: 3.6.1
 
 Package: rootsh
-Architecture: any
+Architecture: all
 Replaces: becomeroot, easyroot, GodMode
 Provides: becomeroot, easyroot, GodMode
 Conflicts: rootsh (<= 1.5), becomeroot, easyroot, GodMode
+Depends: sudo
 Description: Enable root access, via the "sudo gainroot" command
  "sudo gainroot" will work without requiring you to enable R&D mode.
